classification
Title: Document options used to control compression level in tarfile
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Katherine.Busch, Sworddragon, docs@python, eric.araujo, lars.gustaebel, python-dev
Priority: normal Keywords: easy, patch

Created on 2014-04-30 21:06 by Sworddragon, last changed 2014-06-07 19:48 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
tardocs.patch Katherine.Busch, 2014-06-07 19:31 review
Messages (9)
msg217655 - (view) Author: (Sworddragon) Date: 2014-04-30 21:06
The tarfile/zipfile libraries doesn't seem to provide a direct way to specify the compression level. I have now ported my code from subprocess to tarfile/zipfile to achieve platform independency but would be happy if I could also control the compression level. Or is there a special reason not to add this?
msg217693 - (view) Author: Lars Gustäbel (lars.gustaebel) * (Python committer) Date: 2014-05-01 12:20
tarfile.open() actually supports a compress_level argument for gzip and bzip2 and a preset argument for lzma compression.
msg217704 - (view) Author: (Sworddragon) Date: 2014-05-01 15:04
Could it be that compress_level is not documented?
msg217705 - (view) Author: Lars Gustäbel (lars.gustaebel) * (Python committer) Date: 2014-05-01 15:05
That's right. But it is there.
msg217706 - (view) Author: (Sworddragon) Date: 2014-05-01 15:08
Then this one is easy: The documentation needs just an update. But then there is still zipfile that doesn't provide (or at least document) a compression level.
msg217767 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-05-02 17:53
I'm reclassifying this ticket as a doc bug, would you mind opening a separate ticket for zipfile?
msg217771 - (view) Author: (Sworddragon) Date: 2014-05-02 18:01
Sure, here is the new ticket: http://bugs.python.org/issue21417
msg219963 - (view) Author: Katherine Busch (Katherine.Busch) Date: 2014-06-07 19:31
Here's a patch. The docs built and I inspected the output. Everything looks correct.
msg219967 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-07 19:48
New changeset 390b7fd617a9 by Benjamin Peterson in branch '2.7':
document the compress_level argument to tarfile.open (closes #21404)
http://hg.python.org/cpython/rev/390b7fd617a9

New changeset 0c712828fb6e by Benjamin Peterson in branch '3.4':
document the compress_level argument to tarfile.open (closes #21404)
http://hg.python.org/cpython/rev/0c712828fb6e

New changeset 171e8f6c814c by Benjamin Peterson in branch 'default':
merge 3.4 (#21404)
http://hg.python.org/cpython/rev/171e8f6c814c
History
Date User Action Args
2014-06-07 19:48:18python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg219967

resolution: fixed
stage: patch review -> resolved
2014-06-07 19:34:14jesstesssetstage: needs patch -> patch review
2014-06-07 19:31:04Katherine.Buschsetfiles: + tardocs.patch

nosy: + Katherine.Busch
messages: + msg219963

keywords: + patch
2014-05-02 18:01:11Sworddragonsetmessages: + msg217771
2014-05-02 17:54:00eric.araujosetassignee: docs@python

components: + Documentation, - Library (Lib)
title: Compression level for tarfile/zipfile -> Document options used to control compression level in tarfile
keywords: + easy
nosy: + eric.araujo, docs@python
versions: + Python 2.7, Python 3.5
messages: + msg217767
stage: needs patch
2014-05-01 15:08:00Sworddragonsetmessages: + msg217706
2014-05-01 15:05:22lars.gustaebelsetmessages: + msg217705
2014-05-01 15:04:08Sworddragonsetmessages: + msg217704
2014-05-01 12:20:14lars.gustaebelsetnosy: + lars.gustaebel
messages: + msg217693
2014-04-30 21:07:07Sworddragonsettype: enhancement
2014-04-30 21:06:56Sworddragoncreate